2.2.1 Firmware Safe for iPod Touch 2G

Discussion in 'iPod touch 2G Jailbreak: redsn0w, 24kpwn, etc.' started by zeipodtouchguru, Jan 27, 2009.

  1. zeipodtouchguru

    zeipodtouchguru New Member

    Joined:
    Jan 6, 2009
    Messages:
    841
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    Hey! Musclenerd replied on my twitter, it will not affect the jailbreak if you update to 2.2.1 on your iPod Touch 2G. However, if you are on a 1G you dont want to jailbreak QUITE yet. The Dev Team will soon figure out how to do it. So just hold your horses and be patient!
  2. wearmaize

    wearmaize Active Member

    Joined:
    Feb 13, 2008
    Messages:
    2,442
    Likes Received:
    13
    Device:
    iPhone 4S (Black)
    Since the 2G hasn't been jailbroken anyway, wouldn't it be better to stay on the firmware that the dev team is focusing on?
  3. Devoo55

    Devoo55 New Member

    Joined:
    Jan 17, 2009
    Messages:
    80
    Likes Received:
    0
    Couldn't they look for a new exploit in the 2.2.1 FW?
  4. zeipodtouchguru

    zeipodtouchguru New Member

    Joined:
    Jan 6, 2009
    Messages:
    841
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    Like I said. It doesnt matter.
  5. Xii

    Xii New Member

    Joined:
    Sep 9, 2008
    Messages:
    1,147
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    The 2G has been jailbroken. It just have a limitation, being tethered.

    I remember Musclenerd saying that future firmware updates will not affect the jailbreak since the exploit is at a hardware level.
  6. SolarFlare

    SolarFlare New Member

    Joined:
    Jul 23, 2008
    Messages:
    1,292
    Likes Received:
    0
    Device:
    iPod touch
    I believe you mean update.

    Please Register or Log in to view images

  7. tttooommm

    tttooommm New Member

    Joined:
    Sep 28, 2008
    Messages:
    119
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    the link of your twitter?
  8. treminaor

    treminaor New Member

    Joined:
    Jan 13, 2009
    Messages:
    533
    Likes Received:
    0
    Device:
    2G iPod touch
    The 2G exploit is below firmware, so it does not matter what firmware you are on to use the current tethered jailbreak exploit process (We just need a firmware to load). Just wait for 2.2.1 to get pwned and it'll be prepped for the future.
  9. SiN Altr Ego EL

    SiN Altr Ego EL New Member

    Joined:
    Feb 10, 2008
    Messages:
    905
    Likes Received:
    1
    Device:
    iPad w/ 3G
    yes it is on a lower level. and honestly, i think that it really doesn't matter at this point to update. u can and i'm sure that there will b a pwn for 2.2.1 b4 the jailbreak comes out... but in any event, its safe.
  10. sprint_user

    sprint_user New Member

    Joined:
    Apr 27, 2008
    Messages:
    2,864
    Likes Received:
    1
    Device:
    iPad 2 (Black)
    I though he said its not a hard ware exploit. I know the 1G is, so I am surprised that he tells the 1G users not to upgrade.

Share This Page